Bug 1475719 - Fedora - Add new package CRIU for Docker on z Systems
Fedora - Add new package CRIU for Docker on z Systems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: criu (Show other bugs)
27
s390x Linux
unspecified Severity high
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker 1456513 1457955
  Show dependency treegraph
 
Reported: 2017-07-27 04:30 EDT by IBM Bug Proxy
Modified: 2017-09-30 02:14 EDT (History)
5 users (show)

See Also:
Fixed In Version: criu-3.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-30 02:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 157014 None None None 2017-07-27 04:30 EDT

  None (edit)
Description IBM Bug Proxy 2017-07-27 04:30:14 EDT

    
Comment 1 IBM Bug Proxy 2017-07-27 04:30:18 EDT
Add package CRIU from upstream to support CRIU functions in Docker context.
    https://criu.org/Main_Page
The version following CRIU 3.3, e.g. CRIU 3.4  to include support for z Systems

 The code is accepted in criu devel branch (criu-dev). Target release is criu version 3.4
Comment 2 Adrian Reber 2017-07-28 08:13:01 EDT
I prepared the necessary kernel changes and will send the patch out to the fedora kernel list. Using the criu-dev branch I was able to run the criu test suite on s390x.
Comment 4 Jan Kurik 2017-08-15 03:06:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 5 Fedora Update System 2017-09-04 03:58:33 EDT
criu-3.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca2a948451
Comment 6 Fedora Update System 2017-09-04 18:53:04 EDT
criu-3.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca2a948451
Comment 7 Fedora Update System 2017-09-30 02:14:55 EDT
criu-3.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.